## org.codehaus.groovy.grails.commons
Class GrailsResourceLoaderFactoryBean

    java.lang.Object
      org.codehaus.groovy.grails.commons.GrailsResourceLoaderFactoryBean

All Implemented Interfaces:
  FactoryBean, InitializingBean

    public class GrailsResourceLoaderFactoryBean

extends Object
implements FactoryBean, InitializingBean

A factory bean that constructs the Grails ResourceLoader used to load Grails classes

Since:
  0.4

  Created: Jul 27, 2007 Time: 12:34:33 PM
Author:
  Graeme Rocher

Constructor Summary
`GrailsResourceLoaderFactoryBean()`

Method Summary
`void` `afterPropertiesSet()`
`Object` `getObject()`
`Class` `getObjectType()`
`boolean` `isSingleton()`
`void` `setGrailsResourceHolder(GrailsResourceHolder grailsResourceHolder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsResourceLoaderFactoryBean

    public GrailsResourceLoaderFactoryBean()

Method Detail

### setGrailsResourceHolder

    public void setGrailsResourceHolder(GrailsResourceHolder grailsResourceHolder)

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `FactoryBean`
  Throws:
    `Exception`

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `FactoryBean`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `FactoryBean`

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

Copyright (c) 2005-2009 The Grails project